RHSA-2009:1203-01 Important: subversion security update
Posted on: 08/10/2009 07:40 PM

A new update is available for Red Hat Enterprise Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Important: subversion security update
Advisory ID: RHSA-2009:1203-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2009-1203.html
Issue date: 2009-08-10
CVE Names: CVE-2009-2411
=====================================================================

1. Summary:

Updated subversion packages that fix multiple security issues are now
available for Red Hat Enterprise Linux 4 and 5.

This update has been rated as having important security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64
RHEL Desktop Workstation (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, s390x, x86_64

3. Description:

Subversion (SVN) is a concurrent version control system which enables one
or more users to collaborate in developing and maintaining a hierarchy of
files and directories while keeping a history of all changes.

Matt Lewis, of Google, reported multiple heap overflow flaws in Subversion
(server and client) when parsing binary deltas. A malicious user with
commit access to a server could use these flaws to cause a heap overflow on
that server. A malicious server could use these flaws to cause a heap
overflow on a client when it attempts to checkout or update. These heap
overflows can result in a crash or, possibly, arbitrary code execution.
(CVE-2009-2411)

All Subversion users should upgrade to these updated packages, which
contain a backported patch to correct these issues. After installing the
updated packages, the Subversion server must be restarted for the update
to take effect: restart httpd if you are using mod_dav_svn, or restart
svnserve if it is used.

4. Solution:

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

514744 - CVE-2009-2411 subversion: multiple heap overflow issues

6. Package List:

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/subversion-1.1.4-3.el4_8.2.src.rpm

i386:
mod_dav_svn-1.1.4-3.el4_8.2.i386.rpm
subversion-1.1.4-3.el4_8.2.i386.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.i386.rpm
subversion-devel-1.1.4-3.el4_8.2.i386.rpm
subversion-perl-1.1.4-3.el4_8.2.i386.rpm

ia64:
mod_dav_svn-1.1.4-3.el4_8.2.ia64.rpm
subversion-1.1.4-3.el4_8.2.ia64.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.ia64.rpm
subversion-devel-1.1.4-3.el4_8.2.ia64.rpm
subversion-perl-1.1.4-3.el4_8.2.ia64.rpm

ppc:
mod_dav_svn-1.1.4-3.el4_8.2.ppc.rpm
subversion-1.1.4-3.el4_8.2.ppc.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.ppc.rpm
subversion-devel-1.1.4-3.el4_8.2.ppc.rpm
subversion-perl-1.1.4-3.el4_8.2.ppc.rpm

s390:
mod_dav_svn-1.1.4-3.el4_8.2.s390.rpm
subversion-1.1.4-3.el4_8.2.s390.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.s390.rpm
subversion-devel-1.1.4-3.el4_8.2.s390.rpm
subversion-perl-1.1.4-3.el4_8.2.s390.rpm

s390x:
mod_dav_svn-1.1.4-3.el4_8.2.s390x.rpm
subversion-1.1.4-3.el4_8.2.s390x.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.s390x.rpm
subversion-devel-1.1.4-3.el4_8.2.s390x.rpm
subversion-perl-1.1.4-3.el4_8.2.s390x.rpm

x86_64:
mod_dav_svn-1.1.4-3.el4_8.2.x86_64.rpm
subversion-1.1.4-3.el4_8.2.x86_64.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.x86_64.rpm
subversion-devel-1.1.4-3.el4_8.2.x86_64.rpm
subversion-perl-1.1.4-3.el4_8.2.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/subversion-1.1.4-3.el4_8.2.src.rpm

i386:
mod_dav_svn-1.1.4-3.el4_8.2.i386.rpm
subversion-1.1.4-3.el4_8.2.i386.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.i386.rpm
subversion-devel-1.1.4-3.el4_8.2.i386.rpm
subversion-perl-1.1.4-3.el4_8.2.i386.rpm

x86_64:
mod_dav_svn-1.1.4-3.el4_8.2.x86_64.rpm
subversion-1.1.4-3.el4_8.2.x86_64.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.x86_64.rpm
subversion-devel-1.1.4-3.el4_8.2.x86_64.rpm
subversion-perl-1.1.4-3.el4_8.2.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/subversion-1.1.4-3.el4_8.2.src.rpm

i386:
mod_dav_svn-1.1.4-3.el4_8.2.i386.rpm
subversion-1.1.4-3.el4_8.2.i386.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.i386.rpm
subversion-devel-1.1.4-3.el4_8.2.i386.rpm
subversion-perl-1.1.4-3.el4_8.2.i386.rpm

ia64:
mod_dav_svn-1.1.4-3.el4_8.2.ia64.rpm
subversion-1.1.4-3.el4_8.2.ia64.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.ia64.rpm
subversion-devel-1.1.4-3.el4_8.2.ia64.rpm
subversion-perl-1.1.4-3.el4_8.2.ia64.rpm

x86_64:
mod_dav_svn-1.1.4-3.el4_8.2.x86_64.rpm
subversion-1.1.4-3.el4_8.2.x86_64.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.x86_64.rpm
subversion-devel-1.1.4-3.el4_8.2.x86_64.rpm
subversion-perl-1.1.4-3.el4_8.2.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/subversion-1.1.4-3.el4_8.2.src.rpm

i386:
mod_dav_svn-1.1.4-3.el4_8.2.i386.rpm
subversion-1.1.4-3.el4_8.2.i386.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.i386.rpm
subversion-devel-1.1.4-3.el4_8.2.i386.rpm
subversion-perl-1.1.4-3.el4_8.2.i386.rpm

ia64:
mod_dav_svn-1.1.4-3.el4_8.2.ia64.rpm
subversion-1.1.4-3.el4_8.2.ia64.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.ia64.rpm
subversion-devel-1.1.4-3.el4_8.2.ia64.rpm
subversion-perl-1.1.4-3.el4_8.2.ia64.rpm

x86_64:
mod_dav_svn-1.1.4-3.el4_8.2.x86_64.rpm
subversion-1.1.4-3.el4_8.2.x86_64.rpm
subversion-debuginfo-1.1.4-3.el4_8.2.x86_64.rpm
subversion-devel-1.1.4-3.el4_8.2.x86_64.rpm
subversion-perl-1.1.4-3.el4_8.2.x86_64.rpm

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/subversion-1.4.2-4.el5_3.1.src.rpm

i386:
mod_dav_svn-1.4.2-4.el5_3.1.i386.rpm
subversion-1.4.2-4.el5_3.1.i386.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.i386.rpm
subversion-devel-1.4.2-4.el5_3.1.i386.rpm
subversion-javahl-1.4.2-4.el5_3.1.i386.rpm
subversion-perl-1.4.2-4.el5_3.1.i386.rpm
subversion-ruby-1.4.2-4.el5_3.1.i386.rpm

x86_64:
mod_dav_svn-1.4.2-4.el5_3.1.x86_64.rpm
subversion-1.4.2-4.el5_3.1.i386.rpm
subversion-1.4.2-4.el5_3.1.x86_64.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.i386.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.x86_64.rpm
subversion-devel-1.4.2-4.el5_3.1.i386.rpm
subversion-devel-1.4.2-4.el5_3.1.x86_64.rpm
subversion-javahl-1.4.2-4.el5_3.1.x86_64.rpm
subversion-perl-1.4.2-4.el5_3.1.x86_64.rpm
subversion-ruby-1.4.2-4.el5_3.1.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/subversion-1.4.2-4.el5_3.1.src.rpm

i386:
mod_dav_svn-1.4.2-4.el5_3.1.i386.rpm
subversion-1.4.2-4.el5_3.1.i386.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.i386.rpm
subversion-devel-1.4.2-4.el5_3.1.i386.rpm
subversion-javahl-1.4.2-4.el5_3.1.i386.rpm
subversion-perl-1.4.2-4.el5_3.1.i386.rpm
subversion-ruby-1.4.2-4.el5_3.1.i386.rpm

ia64:
mod_dav_svn-1.4.2-4.el5_3.1.ia64.rpm
subversion-1.4.2-4.el5_3.1.ia64.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.ia64.rpm
subversion-devel-1.4.2-4.el5_3.1.ia64.rpm
subversion-javahl-1.4.2-4.el5_3.1.ia64.rpm
subversion-perl-1.4.2-4.el5_3.1.ia64.rpm
subversion-ruby-1.4.2-4.el5_3.1.ia64.rpm

ppc:
mod_dav_svn-1.4.2-4.el5_3.1.ppc.rpm
subversion-1.4.2-4.el5_3.1.ppc.rpm
subversion-1.4.2-4.el5_3.1.ppc64.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.ppc.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.ppc64.rpm
subversion-devel-1.4.2-4.el5_3.1.ppc.rpm
subversion-devel-1.4.2-4.el5_3.1.ppc64.rpm
subversion-javahl-1.4.2-4.el5_3.1.ppc.rpm
subversion-perl-1.4.2-4.el5_3.1.ppc.rpm
subversion-ruby-1.4.2-4.el5_3.1.ppc.rpm

s390x:
mod_dav_svn-1.4.2-4.el5_3.1.s390x.rpm
subversion-1.4.2-4.el5_3.1.s390.rpm
subversion-1.4.2-4.el5_3.1.s390x.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.s390.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.s390x.rpm
subversion-devel-1.4.2-4.el5_3.1.s390.rpm
subversion-devel-1.4.2-4.el5_3.1.s390x.rpm
subversion-javahl-1.4.2-4.el5_3.1.s390x.rpm
subversion-perl-1.4.2-4.el5_3.1.s390x.rpm
subversion-ruby-1.4.2-4.el5_3.1.s390x.rpm

x86_64:
mod_dav_svn-1.4.2-4.el5_3.1.x86_64.rpm
subversion-1.4.2-4.el5_3.1.i386.rpm
subversion-1.4.2-4.el5_3.1.x86_64.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.i386.rpm
subversion-debuginfo-1.4.2-4.el5_3.1.x86_64.rpm
subversion-devel-1.4.2-4.el5_3.1.i386.rpm
subversion-devel-1.4.2-4.el5_3.1.x86_64.rpm
subversion-javahl-1.4.2-4.el5_3.1.x86_64.rpm
subversion-perl-1.4.2-4.el5_3.1.x86_64.rpm
subversion-ruby-1.4.2-4.el5_3.1.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2411
http://www.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is lt;secalert@redhat.comgt;. More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2009 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFKgGRDXlSAg2UNWIIRArMHAKCUlTlOnLUR53wob6PX3kJM1e7uOQCcD3ws
YXQdkA84Mw8b0MG7DZa+8Ds=
=fkAY
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_20091203_01_important_subversion_security_update.html)